#!/usr/bin/perl

use strict;
use Test::More;

my $nbtest;

use_ok('FDN::Common::Levenshtein');
BEGIN { $nbtest += 1; }

my $res;
$res = levenshtein('toto','toto');
is ( $res, 0, 'levenshtein' );
$res = levenshtein('toto','tot');
is ( $res, 1, 'levenshtein' );
$res = levenshtein('toto','oto');
is ( $res, 1, 'levenshtein' );
$res = levenshtein('tot','toto');
is ( $res, 1, 'levenshtein' );
$res = levenshtein('tot','toto');
is ( $res, 1, 'levenshtein' );
$res = levenshtein('essai','estai');
is ( $res, 1, 'levenshtein' );
$res = levenshtein('essai','');
is ( $res, 5, 'levenshtein' );
$res = levenshtein('','essai' );
is ( $res, 5, 'levenshtein' );
BEGIN { $nbtest += 8; }


BEGIN { plan tests => $nbtest; }
